OrgTeams

Add a member to a team

POST
/organizations/{organizationId}/teams/{teamId}/members

Adds a plain (roleless) team_members row. Does not assign any CompliAudit/Control Hub role.

Path Parameters

organizationId*string
Formatuuid
teamId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid
x-user-id?string

Optional Supabase user id for org-admin verification on sensitive license routes

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/members" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "userId": "string"  }'
Empty
{  "message": "string"}
{  "message": "string"}
{  "message": "string"}